> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/common/growth/analytics/referrer.md).

# 引流来源 Referrer

当小程序启动时 `referrer` 作为参数传递的是流入路径。利用这个值可以了解用户通过哪条路径进入小程序，并按流入渠道进行分析。

### 引荐来源值列表

| 分类                         | referrer                               | 说明                          |
| -------------------------- | -------------------------------------- | --------------------------- |
| 游戏首页                       | `gamehome`                             | 通过游戏首页进入                    |
| 搜索                         | `search`                               | 通过全部标签页内的搜索栏进入              |
| 小程序首页                      | `miniapphome`                          | 通过小程序首页进入                   |
| `store`                    | 通过商店进入                                 |                             |
| 全部标签页                      | `all_tab`                              | 通过全部标签页进入                   |
| `all_tab_recent`           | 通过全部标签页内的最近区域进入                        |                             |
| `all_tab_recent_all`       | 通过全部标签页内最近区域的查看更多进入                    |                             |
| `all_tab_reco_random`      | 通过进入全部标签页时随机展示的推荐进入                    |                             |
| `all_tab_reco_organic`     | 通过进入全部标签页时展示的推荐进入                      |                             |
| `all_tab_reco_inorganic`   | 通过引导至全部标签页后展示的推荐进入                     |                             |
| Toss 支持的促销活动               | `airdrop`                              | 通过 Hamtokyeo 领取积分活动的奖励好友进入  |
| `gamehome_via_airdrop`     | 通过 Hamtokyeo 落地到游戏首页半屏页后点击进入           |                             |
| `miniapphome_via_airdrop`  | 通过 Hamtokyeo 落地到小程序首页半屏页后点击进入          |                             |
| `store_via_airdrop`        | 通过 Hamtokyeo 落地到商店半屏页后点击进入             |                             |
| Toss 首页广告                  | `home_intelligence`                    | 通过 Home Intelli 进入          |
| `game_countdown`           | 通过 Home Intelli 落地到游戏介绍页后点击，或 5 秒后自动进入 |                             |
| `gamehome_via_intelli`     | 通过 Home Intelli 落地到游戏首页半屏页后点击进入        |                             |
| `miniapphome_via_intelli`  | 通过 Home Intelli 落地到小程序首页半屏页后点击进入       |                             |
| `store_via_intelli`        | 通过 Home Intelli 落地到商店半屏页后点击进入          |                             |
| Toss Ads                   | `tossads`                              | 通过 Toss Ads 进入              |
| 推送通知                       | `inbox`                                | 通过 Toss App 内通知进入           |
| `push`                     | 通过 Toss App 外推送进入                      |                             |
| 权益标签页                      | `benefit_tab`                          | 通过权益标签页进入                   |
| 其他                         | `contacts_module`                      | 通过 Toss App 内联系人模块功能分享的链接进入 |
| `external__owned_social`   | 通过外部 Toss SNS 进入                       |                             |
| `external__partner_social` | 通过外部合作方 SNS 进入                         |                             |
| `external_ads`             | 通过外部广告进入                               |                             |
| `external_link`            | 通过外部链接进入                               |                             |
| `external_search`          | 通过外部用户设备自身搜索进入                         |                             |
| `external_share`           | 通过小程序内及小程序首页/游戏首页分享功能分享的链接进入           |                             |
| `minihome_appsintoss`      | 通过全部标签页内的迷你主页进入                        |                             |
| `shortcut`                 | 通过设备内快捷方式进入                            |                             |
| `toss_news`                | 通过 Toss News 进入                        |                             |
| `tosspay_paybenefit`       | 通过 Toss Pay 内折扣适用优惠券版位进入               |                             |
| `etc`                      | 其他                                     |                             |
| `test`                     | 测试                                     |                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/common/growth/analytics/referrer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
